Skip to main content
GET
/
v1.0.0
/
users
/
{userId}
/
tariffs
/
{tariffId}
Tariff data for user
curl --request GET \
  --url https://api.energy-hub.io/v1.0.0/users/{userId}/tariffs/{tariffId} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.energy-hub.io/v1.0.0/users/{userId}/tariffs/{tariffId}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.energy-hub.io/v1.0.0/users/{userId}/tariffs/{tariffId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "isOnline": true,
  "id": "6eb5497d-c6bb-4290-84ef-4409fe9501f1",
  "userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9",
  "staticData": {
    "countryCode": "DE",
    "name": "Tibber Bürgerfelder Str.",
    "currency": "EUR",
    "lastUpdated": "2023-11-07T05:31:56Z"
  },
  "lastUpdated": "2023-11-07T05:31:56Z",
  "locationId": "7364fc92-20e1-4033-ac18-cb19c35e97e0"
}
{
"errorCode": "UNAUTHORIZED",
"id": "1068eb9d-7814-491b-8219-25bad554bef7",
"message": "Unauthorized"
}
{
"errorCode": "TARIFF_NOT_FOUND",
"id": "1068eb9d-7814-491b-8219-25bad554bef7",
"message": "[TARIFF] Tariff not found."
}

Authorizations

X-API-KEY
string
header
required

API key used for authorization and authentication.

Path Parameters

userId
string
required

User ID

tariffId
string<uuid>
required

Tariff ID

Response

Successful operation

Object of tariff response.

isOnline
boolean
required

Indicates if the tariff is reachable trough the vendor system.

Example:

true

id
string<uuid>
required

The ID of the tariff.

Example:

"6eb5497d-c6bb-4290-84ef-4409fe9501f1"

userId
string
required

The ID of the user.

Example:

"896f9d5a-b618-48a2-98ae-957059bf1bc9"

staticData
object
required

Object of static data of a tariff.

lastUpdated
string<date-time>

The timestamp of the last update of any variable of the tariff.

locationId
string<uuid>

The location ID of the tariff.

Example:

"7364fc92-20e1-4033-ac18-cb19c35e97e0"